Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::BasicLock Class Reference

Trivial Lock subclass, using a boolean variable as the lock flag. More...

`#include <lockable.h>`

Inheritance diagram for mysqlpp::BasicLock:

[legend]
Collaboration diagram for mysqlpp::BasicLock:

[legend]
List of all members.

## Public Methods

| BasicLock (bool locked=false)
| Create object.
| ~BasicLock ()
| Destroy object.
bool | lock ()
| Lock the object.
void | unlock ()
| Unlock the object.
bool | locked () const
| Returns true if object is locked.
void | set (bool b)
| Set the lock state.

## Detailed Description

Trivial Lock subclass, using a boolean variable as the lock flag.

This is the only Lock implementation available in this version of MySQL++. It will be supplemented with a better implementation for use with threads at a later date.

## Member Function Documentation

bool mysqlpp::BasicLock::lock | ( |  | ) | `[inline, virtual]`

Lock the object.

Returns:
  true if object was already locked

Implements mysqlpp::Lock.

The documentation for this class was generated from the following file:

- lockable.h